## hubzero-python 2.1.9-1+deb8

=== debian/changelog ===
hubzero-python (2.1.9-1+deb8) unstable; urgency=low

  * revert broken fix to templateWriteParam

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 27 Oct 2016 09:49:32 -0400

=== debian/rules ===
#!/usr/bin/make -f
#
# @package      hubzero-python
# @file         rules
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

$(info ########## Goals: $(MAKECMDGOALS) ##########)

CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

export CFLAGS
export CPPFLAGS
export CXXFLAGS
export LDFLAGS

DEB_MAJOR:=$(shell lsb_release -r -s | cut -d . -f 1)

configure:
	@echo "########## configure ##########"
	dh_testdir
	>$@

build: configure
	@echo "########## build ##########"
	dh_testdir
	$(MAKE)
	#>$@

clean:
	@echo "########## clean ##########"
	dh_testdir
	dh_testroot
	rm -fr build configure
	$(MAKE) clean
	dh_clean

install: build
	@echo "########## install ##########"
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/hubzero-python COMPILE=--no-compile install

binary-indep: install
	@echo "########## binary-indep ##########"
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
	dh_install -i
	dh_installlogrotate -i
	dh_installinit -i
	dh_installman -i
	dh_python2 -i
	dh_link -i
	dh_strip -i
	dh_lintian -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install
	@echo "########## binary-arch ##########"
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
	dh_install -a
	dh_installlogrotate -a
	dh_installinit -a
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_lintian -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep 
#binary: binary-arch
	@echo "########## binary ##########"

.PHONY: clean binary-indep binary-arch binary install

## hubzero-python 2.2.3-1+deb8

=== debian/changelog ===
hubzero-python (2.2.3-1+deb8) unstable; urgency=low

  * don't create ldap group when told not to create groups

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 24 Apr 2018 13:18:11 -0400

hubzero-python (2.2.2-1) unstable; urgency=low

  * add function removeHubzeroConfigOption()
  * fix another instance of improper use of tuple instead of list

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 04 Mar 2018 15:06:11 -0400

hubzero-python (2.2.1-1) unstable; urgency=low

  * fix instance of not using idata list for db parameters

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 22 Mar 2018 11:06:03 -0400

hubzero-python (2.2.0-1) unstable; urgency=low

  * use lists instead of tuples for db data parameters

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 22 Mar 2018 10:27:48 -0400

hubzero-python (2.1.9-1) unstable; urgency=low

  * revert broken fix to templateWriteParam

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 27 Oct 2016 09:49:32 -0400

## hubzero-python 2.2.3-1+deb9

=== Makefile ===
# @package      hubzero-python
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

all:
	python setup.py build

install:
	python setup.py install $(COMPILE) --root $(DESTDIR) --install-layout=deb

uninstall:
	@true

postinst:
	@true

clean:
	find . -name '*.pyc' -delete
	python setup.py clean
	rm -fr build
	rm -fr hubzero_python.egg-info

.PHONY: all install uninstall postinst clean

=== debian/changelog ===
hubzero-python (2.2.3-1+deb9) unstable; urgency=low

  * packaging update

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 29 May 2018 11:12:21 -0400

=== debian/control ===
Source: hubzero-python
Section: misc
Priority: optional
Maintainer: David R. Benham <dbenham@purdue.edu>
Build-Depends: debhelper (>= 8.0.0), python-setuptools    , dh-python
Standards-Version: 3.8.4
X-Python-Version: >= 2.6
Homepage: http://hubzero.org

Package: hubzero-python
Architecture: all
Depends: python (>=2.6), ${misc:Depends}
Description: Hubzero Python libraries
 hubzero-python is a library of python routines for manipulating the HUBzero
 platform.

=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,10 @@
 # @package      hubzero-python
 # @file         rules
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal

## hubzero-python 2.2.4-1+deb8

=== debian/changelog ===
hubzero-python (2.2.4-1+deb8) unstable; urgency=low

  * replace hard coded localhost database host references with proper host

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 23 Aug 2018 13:29:38 -0400

hubzero-python (2.2.3-1) unstable; urgency=low

  * don't create ldap group when told not to create groups

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 24 Apr 2018 13:18:11 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: David R. Benham <dbenham@purdue.edu>
-Build-Depends: debhelper (>= 8.0.0), python-setuptools    , dh-python
+Build-Depends: debhelper (>= 8.0.0), python-support (>=0.8), python-setuptools   , dh-python
 Standards-Version: 3.8.4
 X-Python-Version: >= 2.6
 Homepage: http://hubzero.org

## hubzero-python 2.2.5-1+deb8

=== debian/changelog ===
hubzero-python (2.2.5-1+deb8) unstable; urgency=low

  * fix ldap sync routines to be compatible with production ldap config
  * fix ldap sync when homeDirectory not set
  * set utf8 mysql connection by default
  * use configured baseDN rather than looking up olcSuffix
  * ignore invalid usernames (-#####)

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Mon, 28 Oct 2019 14:06:54 -0400

hubzero-python (2.2.4-1) unstable; urgency=low

  * replace hard coded localhost database host references with proper host

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 23 Aug 2018 13:29:38 -0400

## hubzero-python 2.2.6-1+deb8

=== debian/changelog ===
hubzero-python (2.2.6-1+deb8) unstable; urgency=low

  * fix ldap group sync to sync only unique set of valid user names

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Mon, 28 Oct 2019 14:41:17 -0400

hubzero-python (2.2.5-1) unstable; urgency=low

  * fix ldap sync routines to be compatible with production ldap config
  * fix ldap sync when homeDirectory not set
  * set utf8 mysql connection by default
  * use configured baseDN rather than looking up olcSuffix
  * ignore invalid usernames (-#####)

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Mon, 28 Oct 2019 14:06:54 -0400

## hubzero-python 2.2.7-1+deb9

=== debian/changelog ===
hubzero-python (2.2.7-1+deb9) unstable; urgency=low

  * fix ldap sync with missing gidNumber and missing jos_xprofile entries

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Fri, 08 Nov 2019 10:50:38 -0400

hubzero-python (2.2.6-1) unstable; urgency=low

  * fix ldap group sync to sync only unique set of valid user names

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Mon, 28 Oct 2019 14:41:17 -0400

## hubzero-python 2.2.7-1+deb10

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,9 @@
 # @package      hubzero-python
 # @file         Makefile
-# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2020 The Regents of the University of California.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2020 The Regents of the University of California.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal
@@ -24,7 +23,7 @@
 # OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 # THE SOFTWARE.
 #
-# HUBzero is a registered trademark of HUBzero Foundation, LLC.
+# HUBzero is a registered trademark of The Regents of the University of California.
 #
 
 all:

=== debian/changelog ===
hubzero-python (2.2.7-1+deb10) unstable; urgency=low

  * fix ldap sync with missing gidNumber and missing jos_xprofile entries

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Fri, 08 Nov 2019 10:50:38 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: hubzero-python
 Section: misc
 Priority: optional
-Maintainer: David R. Benham <dbenham@purdue.edu>
-Build-Depends: debhelper (>= 8.0.0), python-support (>=0.8), python-setuptools   , dh-python
+Maintainer: Nicholas J. Kisseberth <nkisseberth@ucsd.edu>
+Build-Depends: debhelper (>= 8.0.0), python-setuptools   
 Standards-Version: 3.8.4
 X-Python-Version: >= 2.6
 Homepage: http://hubzero.org

## hubzero-python 2.2.9-1+deb9

=== debian/changelog ===
hubzero-python (2.2.9-1+deb9) unstable; urgency=low

  * add Debian 9 support

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Tue, 18 Aug 2020 21:55:59 -0700

hubzero-python (2.2.8-1) unstable; urgency=low

  * update copyright/trademark ownership
  * update email address references
  * remove per file @author references
  * update copyright years

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Mon, 13 Apr 2020 14:59:52 -0700

hubzero-python (2.2.7-1) unstable; urgency=low

  * fix ldap sync with missing gidNumber and missing jos_xprofile entries

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Fri, 08 Nov 2019 10:50:38 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Nicholas J. Kisseberth <nkisseberth@ucsd.edu>
-Build-Depends: debhelper (>= 8.0.0), python-setuptools   
+Build-Depends: debhelper (>= 8.0.0), python-setuptools    , dh-python 
 Standards-Version: 3.8.4
 X-Python-Version: >= 2.6
 Homepage: http://hubzero.org

=== debian/rules ===
--- 
+++ 
@@ -2,11 +2,10 @@
 #
 # @package      hubzero-python
 # @file         rules
-# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2020 The Regents of the University of California.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2020 The Regents of the University of California.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal
@@ -26,7 +25,7 @@
 # OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 # THE SOFTWARE.
 #
-# HUBzero is a registered trademark of HUBzero Foundation, LLC.
+# HUBzero is a registered trademark of The Regents of the University of California.
 #
 
 # Uncomment this to turn on verbose mode.

## hubzero-python 2.2.22-1+deb12

=== debian/changelog ===
hubzero-python (2.2.22-1+deb12) unstable; urgency=low

  * even more utf-8 encoding

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 13 Jun 2024 11:17:21 -0700

hubzero-python (2.2.21-1) unstable; urgency=low

  * more utf-8 encoding of attributes going into user entries

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 05 Jun 2024 12:07:44 -0700

hubzero-python (2.2.20-1) unstable; urgency=low

  * utf-8 encode attributes going into user entries

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 05 Jun 2024 11:52:00 -0700

hubzero-python (2.2.19-1) unstable; urgency=low

  * utf-8 encode cn and description going into ldap group entries

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 05 Jun 2024 11:29:20 -0700

hubzero-python (2.2.18-1) unstable; urgency=low

  * import MySQLdb after install_as_mySQLdb()

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Tue, 04 Jun 2024 17:46:02 -0700

hubzero-python (2.2.17-1) unstable; urgency=low

  * fix typo importing pymysql exceptions

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Tue, 04 Jun 2024 07:59:28 -0700

hubzero-python (2.2.16-1) unstable; urgency=low

  * when syncing users to ldap and cn(name) is missing, use uid(username)

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 23 May 2024 15:19:04 -0700

hubzero-python (2.2.15-1) unstable; urgency=low

  * attempt to use pymysql if MySQLdb not available
  * when using pymysql use equivalents for warning filter and exceptions

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 23 May 2024 12:54:21 -0700

hubzero-python (2.2.14-1) unstable; urgency=low

  * set utf8mb3 mysql connection by default

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Tue, 06 Feb 2024 16:32:44 -0800

hubzero-python (2.2.13-1) unstable; urgency=low

  * Remove deidentified users from ldap when syncing

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Tue, 06 Feb 2024 16:24:16 -0800

hubzero-python (2.2.12-1) unstable; urgency=low

  * EL8 support, use python2 binary to build package

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Mon, 18 Sep 2023 15:34:16 -0700

hubzero-python (2.2.11-1) unstable; urgency=low

  * fix inverted ldap password comparison check

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Fri, 05 Nov 2020 22:42:09 -0800

hubzero-python (2.2.10-1) unstable; urgency=low

  * return whether passwords were actually changed in various operations

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Fri, 05 Nov 2020 22:26:41 -0800

hubzero-python (2.2.9-1) unstable; urgency=low

  * add Debian 9 support

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Tue, 18 Aug 2020 21:55:59 -0700

=== debian/control ===
Source: hubzero-python
Section: misc
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkisseberth@ucsd.edu>
Build-Depends: debhelper (>= 8.0.0), python3-setuptools     
Standards-Version: 3.8.4
X-Python-Version: >= 2.6
Homepage: http://hubzero.org

Package: hubzero-python
Architecture: all
Depends: python3 (>=2.6), ${misc:Depends}
Description: Hubzero Python libraries
 hubzero-python is a library of python routines for manipulating the HUBzero
 platform.

=== debian/rules ===
--- 
+++ 
@@ -83,7 +83,7 @@
 	dh_installlogrotate -i
 	dh_installinit -i
 	dh_installman -i
-	dh_python2 -i
+	if [ -f /usr/bin/python2 ]; then dh_python2 -i ; fi
 	dh_link -i
 	dh_strip -i
 	dh_lintian -i
